Bug 854613 - After selecting an item in tree view, don't change view in any other way than applying the filter
After selecting an item in tree view, don't change view in any other way than...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity low
: ---
: 3.3.0
Assigned To: Einav Cohen
Jiri Belka
ux
: Reopened, TestOnly
: 951915 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 08:37 EDT by David Jaša
Modified: 2016-01-28 16:57 EST (History)
9 users (show)

See Also:
Fixed In Version: is1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:19:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 13516 None None None Never

  None (edit)
Description David Jaša 2012-09-05 08:37:43 EDT
Description of problem:
After selecting an item in tree view, don't change view in any other way than applying the filter.

This is a clear bug if tree view predominant usage is to filter view by selected items but OTOH, if tree usage as a shortcut to the list items, then this is not a bug - therefore I'm CCing Miki.

Version-Release number of selected component (if applicable):
all the way up to 3.1

How reproducible:
always

Steps to Reproduce:
1. go to VMs tab
2. in Filter view, select some datacenter
3.
  
Actual results:
Tab is switched to DataCenters

Expected results:
Tab should be kept at VMs with VM list just narrowed down to "VM: datacenter = selected_dc"

Additional info:
Comment 1 Itamar Heim 2013-03-11 17:53:25 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 2 Yaniv Kaul 2013-03-11 17:57:43 EDT
Still relevant and confusing.
Comment 3 Einav Cohen 2013-05-10 11:41:04 EDT
solved by Noam Slomianko.
Comment 4 Einav Cohen 2013-05-10 11:49:03 EDT
*** Bug 951915 has been marked as a duplicate of this bug. ***
Comment 5 Jiri Belka 2013-07-26 10:24:25 EDT
ok, is6.
Comment 6 Itamar Heim 2014-01-21 17:19:16 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:25:28 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.